﻿<%@ Control Language="c#" AutoEventWireup="true" Inherits="Coveo.UI.CoveoFacetRange" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="coveoui" Namespace="Coveo.UI.Controls" Assembly="Coveo.UIBase" %>

<!-- When customizing this component, ensure to use "Coveo.$" instead of the regular jQuery "$" to
avoid any conflicts with Sitecore's Page Editor/Experience Editor. -->

<coveoui:ErrorSummary runat="server"/>
<coveoui:WhenConfigured runat="server">
    <% if (Model.IconProperties != null) { %>
        <style>
            <%= Model.GetIconCss() %> 
        </style>
    <% } %>
    <script type="text/javascript">
        Coveo.$(function() {
            var facetOptions = <%= Model.GetJavaScriptInitializationOptions() %>;
            CoveoForSitecore.componentsOptions = Coveo.$.extend({}, CoveoForSitecore.componentsOptions, facetOptions);
        });
    </script>
    <div id="<%= Model.Id %>"
         class="CoveoFacetRange"
         data-title='<%= Model.Title %>'
         data-field='<%= Model.Field %>'
         data-date-field='<%= Model.IsDateField %>'
         data-number-of-values='<%= Model.NumberOfValues %>'
         data-id='<%= Model.Id %>'
         data-enable-collapse='<%= Model.EnableCollapse %>'
         data-lookup-field='<%= Model.LookupField %>'
         data-show-icon='<%= Model.ShowIcon %>'
         data-header-icon='no-icon'
         data-computed-field='<%= Model.ComputedField %>'
         data-computed-field-operation='<%= Model.ComputedFieldOperation %>'
         data-computed-field-format='<%= Model.ComputedFieldFormat %>'
         data-computed-field-caption='<%= Model.ComputedFieldCaption %>'
         data-include-in-breadcrumb='<%= Model.IncludeInBreadcrumb %>'
         data-number-of-values-in-breadcrumb='<%= Model.NumberOfValuesInBreadcrumb %>'
         data-enable-toggling-operator='<%= Model.EnableTogglingOperator %>'
         data-use-and='<%= Model.UseAnd %>'
         data-page-size='<%= Model.MorePageSize %>'
         data-injection-depth='<%= Model.InjectionDepth %>'
         data-available-sorts='<%= String.Join(",", Model.AvailableSorts) %>'></div>
</coveoui:WhenConfigured>