﻿<%@ Control Language="c#" AutoEventWireup="true" Inherits="Coveo.UI.CoveoFieldsResources" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="coveoui" Namespace="Coveo.UI.Controls" Assembly="Coveo.UIBase" %>

<% /* When customizing this component, ensure to use "Coveo.$" instead of the regular jQuery "$" to
     avoid any conflicts with Sitecore's Page Editor/Experience Editor. */ %>

<coveoui:ErrorSummary runat="server"/>
<coveoui:WhenConfigured runat="server">
    <script type="text/javascript" src="/Coveo/js/CoveoFieldsResources.js"></script>

    <script type="text/javascript">
        (function() {
            var coveoFields = new CoveoFieldsHandler(JSON.parse(<%= HttpUtility.JavaScriptStringEncode(Model.GetExternalFieldsAsJson(), true) %>), "<%= Model.Prefix %>", "<%= Model.Suffix %>");

            function bindFieldsToCoveoForSitecore() {
                if (!isCoveoForSitecoreDefined()) {
                    window.CoveoForSitecore = {};
                }
                CoveoForSitecore.fields = coveoFields;
            }

            function bindCoveoTemplateHelpers() {
                if (isCoveoDefined()) {
                    Coveo.TemplateHelpers.registerTemplateHelper("coveoFieldValue", function(fieldName) {
                        return this.raw[coveoFields.toCoveo(fieldName)];
                    });
                    Coveo.TemplateHelpers.registerTemplateHelper("coveoFieldName", function(fieldName) {
                        return coveoFields.toCoveo(fieldName);
                    });
                }
            }

            function isCoveoDefined() {
                return typeof (Coveo) !== "undefined";
            }

            function isCoveoForSitecoreDefined() {
                return typeof (CoveoForSitecore) !== "undefined";
            }

            bindCoveoTemplateHelpers();
            bindFieldsToCoveoForSitecore();

            document.addEventListener("DOMContentLoaded", function () {
                bindCoveoTemplateHelpers();
                bindFieldsToCoveoForSitecore();
            });
        })();
    </script>

    <% if (Model.IsInPageEditor) { %>
        <div>Coveo Fields Resources</div>
    <% } %>
</coveoui:WhenConfigured>