﻿<%@ Control Language="c#" AutoEventWireup="true" Inherits="Coveo.UI.CoveoPageViewAnalytics" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="coveoui" Namespace="Coveo.UI.Controls" Assembly="Coveo.UIBase" %>

<%-- When customizing this component, ensure to use "Coveo.$" instead of the regular jQuery "$" to
     avoid any conflicts with Sitecore's Page Editor/Experience Editor. --%>

<coveoui:ErrorSummary runat="server"/>
<coveoui:WhenConfigured runat="server">

<% if (Model.IsInPageEditor) { %>
    <div>Coveo Usage Analytics Page View</div>
<% } %>

<% if (Model.AnalyticsEnabled) { %>
    <script>
        // Code snippet to load and log page view analytics.
        // Imported from https://github.com/coveo/coveo.analytics.js
        (function (c, o, v, e, O, u, a) {
            a = 'coveoua'; c[a] = c[a] || function () { (c[a].q = c[a].q || []).push(arguments) };
            c[a].t = Date.now(); u = o.createElement(v); u.async = 1; u.src = e;
            O = o.getElementsByTagName(v)[0]; O.parentNode.insertBefore(u, O)
        })(window, document, 'script', 'https://static.cloud.coveo.com/coveo.analytics.js/coveoua.js');

        coveoua('init', "", '<%= Model.GetAnalyticsEndpoint() %>');
        var customMetadata = <%= Model.GetJavaScriptPageViewCustomMetadata() %>;
        if (typeof (CoveoForSitecoreUserContext) !== "undefined") {
            var currentContext = CoveoForSitecoreUserContext.handler.getContext();
            Object.keys(currentContext).forEach(function(key) {
                customMetadata["c_context_" + key] = currentContext[key];
            });
        }
        coveoua('send', 'pageview', customMetadata);
    </script>
<% } %>

</coveoui:WhenConfigured>