﻿<%@ Control Language="c#" AutoEventWireup="true" Inherits="Coveo.UI.CoveoRelatedQuery" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="coveoui" Namespace="Coveo.UI.Controls" Assembly="Coveo.UIBase" %>

<%-- When customizing this component, ensure to use "Coveo.$" instead of the regular jQuery "$" to
     avoid any conflicts with Sitecore's Page Editor/Experience Editor. --%>

<coveoui:ErrorSummary runat="server" />
<coveoui:WhenConfigured runat="server">

<% if (Model.IsInPageEditor) { %>
    <div>
        <div id="<%= Model.Id %>_error" class="errorMessage"></div>
    </div>
<% } %>

<script type="text/javascript">
    (function() {
        var recommendationId = "<%= Model.Id %>";

        function showError(error) {
            <% if (Model.IsInPageEditor) { %>
            document.getElementById(recommendationId + "_error").textContent = error;
            <% } else { %>
            console.error(error);
            <% } %>
        }

        function areCoveoResourcesIncluded() {
            return typeof (Coveo) !== "undefined";
        }

        function areCoveoForSitecoreResourcesIncluded() {
            return typeof (CoveoForSitecore) !== "undefined";
        }

        function pageContainsSearchInterface() {
            return areCoveoForSitecoreResourcesIncluded() && typeof (CoveoForSitecore.componentsOptions) !== "undefined";
        }

        if (areCoveoResourcesIncluded()) {
            Coveo.$(function() {
                var initializationOptions = <%= Model.GetJavaScriptInitializationOptions() %>;
                var recommendationElement = document.getElementById(recommendationId);
                var endpointOptions = {
                    restEndpointUri: "<%= Model.RestUri %>",
                    siteName: "<%= Model.GetAnalyticsCurrentSiteName() %>",
                    sitecoreItemUri: "<%= Model.SitecoreItemId %>"
                };
                var searchInterfaceElement = null;
                var userContext = CoveoForSitecore.userContext.getContext();
                var shouldBindToSearchInterface = <%= Model.BindToSearchInterface ? "true" : "false" %>;
                if (pageContainsSearchInterface() && shouldBindToSearchInterface) {
                    CoveoForSitecore.SearchEndpointHelper.initializeEndpoint(CoveoForSitecore.componentsOptions);
                    searchInterfaceElement = document.getElementById(CoveoForSitecore.componentsOptions.id);
                } else if (areCoveoForSitecoreResourcesIncluded()) {
                    CoveoForSitecore.SearchEndpointHelper.initializeEndpoint(endpointOptions);
                } else {
                    Coveo.SearchEndpoint.endpoints["default"] = new Coveo.SearchEndpoint({
                        restUri: endpointOptions.restEndpointUri,
                        queryStringArguments: {
                            'sitecoreItemUri': endpointOptions.sitecoreItemUri,
                            'siteName': endpointOptions.siteName
                        }
                    });
                }
                CoveoForSitecore.initRelatedQuery(recommendationElement, searchInterfaceElement, userContext, initializationOptions);
            });
        } else {
            showError("You need to include the Coveo Resources component in this page.");
        }
    })();
</script>
<div id="<%= Model.Id %>"
     class="CoveoRecommendation"
     data-design="new"
     data-results-per-page="<%= Model.ResultsPerPage %>"
     data-options-to-use="<%= Model.OptionsToUse %>"
     data-hide-if-no-results="<%= Model.HideIfNoResults ? "true" : "false" %>"
    <% if (!String.IsNullOrEmpty(Model.QueryPipelineName)) { %>
        data-pipeline="<%= Model.QueryPipelineName %>"
    <% } %>>
    <div class="CoveoAnalytics"
         data-anonymous="<%= Model.IsUserAnonymous %>"
         data-endpoint="<%= Model.GetAnalyticsEndpoint() %>"
         data-search-hub="<%= Model.GetAnalyticsCurrentPageName() %>"
         data-send-to-cloud="<%= Model.CoveoAnalyticsEnabled %>">
    </div>
    <script class="CoveoRecommendationQuery" type="text/x-query-generic"><%= Model.FilterExpression %></script>
    <% if (!String.IsNullOrEmpty(Model.Title)) { %>
        <div class="coveo-recommendation-header">
            <div class="coveo-recommendation-title"><%= Model.Title %></div>
        </div>
    <% } %>
    <div class="coveo-recommendation-body">
        <div class="CoveoResultList"></div>
    </div>
</div>

</coveoui:WhenConfigured>
