<%@ Control Language="c#" AutoEventWireup="true" Inherits="Coveo.UI.CoveoSearch" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Import Namespace="Coveo.Framework.Utils" %>
<%@ Import Namespace="Coveo.UI" %>
<%@ Import Namespace="Sitecore.ContentSearch.SearchTypes" %>
<%@ Register TagPrefix="coveoui" Namespace="Coveo.UI.Controls" Assembly="Coveo.UIBase" %>

<link rel="stylesheet" href="/Coveo/css/CoveoFullSearchNewDesign.css"/>
<link rel="stylesheet" href="/Coveo/css/CoveoComponent.css"/>

<coveoui:ErrorSummary runat="server"/>
<coveoui:WhenConfigured runat="server">

    <div class="CoveoSearchInterface" style="display: block">
        <div class="coveo-main-section">
            <div class="coveo-facet-column">
                <% if (Model.DisplayLogo) { %>
                    <div class="coveo-logo-column">
                        <div class="coveo-logo"></div>
                    </div>
                <% } %>
            </div>
            <div class="coveo-results-column">
                <% coveoRepeater.DataBind(); %>
                <asp:Repeater ID="coveoRepeater" DataSource='<%# Model.SearchResults %>' runat="server">
                    <HeaderTemplate>
                        <table class="CoveoWebCrawlerTable">
                        <tbody>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr>
                            <td ID="coveoWebCrawlerFieldName"><a href="<%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "sysclickableuri")) %>"><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem,  "Name")) %></a></td>
                        </tr>
                        <tr>
                            <td>Template Name:</td>
                            <td><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "TemplateName")) %></td>
                        </tr>
                        <tr>
                            <td>Created by:</td>
                            <td><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "parsedcreatedby")) %></td>
                        </tr>
                        <tr>
                            <td>Created:</td>
                            <td><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "created")) %></td>
                        </tr>
                        <tr>
                            <td>Updated by:</td>
                            <td><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "parsedupdatedby")) %></td>
                        </tr>
                        <tr>
                            <td>Language:</td>
                            <td><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "parsedlanguage")) %></td>
                        </tr>
                        <tr>
                            <td>Uri:</td>
                            <td><a href="<%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "sysclickableuri")) %>"><%# HtmlUtil.HtmlEncode(Model.SearchResultsHelper.TryGetFieldValue(Container.DataItem as SearchResultItem, "sysclickableuri")) %></a></td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </tbody>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
            </div>
        </div>
    </div>
</coveoui:WhenConfigured>